Subject: Re: bug#59385: [PATCH] website: Link to the new packages browser

From: Ludovic Courtès <[email-masked]>
Date: Sat, 26 Nov 2022 17:22:40 +0100

Hi,

Christopher Baines <[email-masked]> skribis:

> Ludovic Courtès <[email-masked]> writes:
>
>> Hola Luis,
>>
>> Luis Felipe <[email-masked]> skribis:
>>
>>> From 29723b3c711db2316e1fb66d252de769494b4a98 Mon Sep 17 00:00:00 2001
>>> From: Luis Felipe <[email-masked]>
>>> Date: Mon, 21 Nov 2022 11:06:03 -0500
>>> Subject: [PATCH] website: Remove packages app.
>>>
>>> There is a new package browser at https://packages.guix.gnu.org/. It
>>> is not necessary to generate a static package catalog anymore.
>>>
>>> * website/apps/packages: Remove it.
>>> * website/tests/apps/packages: Likewise.
>>> * website/haunt.scm (site): Remove packages builder.
>>> * website/tests/all.scm: Don't import packages tests.
>>
>> I realized we still need to build /sources.json and /packages.json, so I
>> kept these and removed all the rest (commit
>> 412ac3958bf288c56fded35d0a632c530e57ef8f).
>>
>> Maybe we’ll eventually build them on Cuirass or something.
>
> Back before /packages.json was around, I was thinking the Guix Data
> Service could provide this information. I think that might require
> storing a bit more information on package sources, but it should be
> quite possible (to serve both the sources.json and packages.json files).

Yes, it’d be more logical to produce it on the Data Service or similar.
Lemme know if you work on this!

Ludo’.